# Class LineFileIterator

java.lang.Object
org.snpeff.fileIterator.FileIterator<String>
org.snpeff.fileIterator.LineFileIterator

All Implemented Interfaces:
  `Iterable<String>, Iterator<String>`

Direct Known Subclasses:
  `LineSeqFileIterator`

public class LineFileIterator extends FileIterator<String>
Iterate on each line in this file

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`

### Fields inherited from class FileIterator

`autoClose, countNewLineChars, fileName, fileSize, line, lineNum, next, nextLine, reader, verbose`

## Constructor Summary

Constructors
Constructor
Description
`LineFileIterator(String lineSeqFileName)`
`LineFileIterator(String lineSeqFileName, boolean gzip)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<String>`
`iterator()`
`protected String`
`readNext()`
Read a sequence from the file

### Methods inherited from class FileIterator

`close, countNewLineChars, getFilePointer, getLine, getLineNum, guessNewLineChars, hasNext, hasSeek, init, isDebug, load, next, readLine, ready, remove, seek, setAutoClose, setDebug, setVerbose, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

### Methods inherited from interface Iterator

`forEachRemaining`

## Field Details

### debug

public static boolean debug

## Constructor Details

### LineFileIterator

public LineFileIterator(String lineSeqFileName)

### LineFileIterator

public LineFileIterator(String lineSeqFileName, boolean gzip)

## Method Details

### iterator

public Iterator<String> iterator()

Specified by:
  `iterator` in interface `Iterable<String>`
Overrides:
  `iterator` in class `FileIterator<String>`

### readNext

protected String readNext()
Read a sequence from the file

Specified by:
  `readNext` in class `FileIterator<String>`
Returns: